### Method

# St Widget set_hover

#### Declaration [src]

    void
    st_widget_set_hover (
      StWidget* widget,
      gboolean hover
    )

#### Description [src]

Sets `widget`‘s hover property and adds or removes “hover” from its pseudo class accordingly.

If you have set `StWidget:track-hover`, you should not need to call this directly. You can call `st_widget_sync_hover()` if the hover state might be out of sync due to another actor’s pointer grab.

Sets property | `St.Widget:hover`

#### Parameters

`hover`

  Type: `gboolean`

  Whether the pointer is hovering over the widget.